<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class textosAvulsos extends base{
	public function __construct($campos=array()){
		parent::__construct();
		$this->tabela = "textos_avulsos";
		if(sizeof($campos)<=0):
			$this->campos_valores = array(
				"tav_texto" => NULL,
				"tav_labo" => NULL,
				"tav_conjunto" => NULL,
			);
		else:
			$this->campos_valores = $campos;
		endif;
		$this->campopk = "tav_id";
	}
    
     public function existeRegistro($campo=NULL,$valor=NULL){
        if ($campo!=NULL && $valor!=NULL):
            is_numeric($valor) ? $valor = $valor : $valor = "'".$valor."'";
            $this->extras_select = "WHERE $campo=$valor";
            $this->selecionaTudo($this);
            if ($this->linhasafetadas > 0):
                return TRUE;
            else:
                return FALSE;
            endif;
        else:
            $this->trataerro(__FILE__,__FUNCTION__,NULL,'Faltam parâmetros para executar a função',TRUE);
        endif;
    }
}
?>